Page MenuHomePhabricator

Release 6.0
Closed, ResolvedPublic

Description

Release version: 6.0.0
Release tag: releases/6.0.0
Release SHA1: 988a7731407000b48b67cf2b7f9f6fc2c1f0873e
App Store Submission Date: August 21 2018
App Store Approval Date: August 22 2018
App Store Release Date: August 22 2018
Regression Testing URL: ?


Pre-release

  • Submit "What’s New" on iTunes Connect for translation
  • Submit Beta on iTunes Connect for external testing review, and verify distribution
  • Notify TSG with RC build number
  • Post to mobile-l when Beta is approved for external testing
  • Upload new screenshots & app icons to iTunes Connect (if needed)
  • Review Regression testing report, triage bugs, and identify any blockers

Day of submit:

  • Update contributors list
  • Update "Licenses" section (e.g. new libraries, fonts, images, etc.)
  • Verify Tweaks are disabled in build submitted to iTunesConnect via internal testing
  • Submit RC on iTunes Connect for App Store review with automatic release disabled.
  • Install previous (active) App Store version, then update to release candidate via TestFlight and verify app load
  • Release to App Store (NOT on a Friday!)

Post-release:

Event Timeline

LGoto created this task.Jul 26 2018, 7:32 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 26 2018, 7:32 PM
JMinor triaged this task as Normal priority.Jul 30 2018, 6:36 PM
JMinor claimed this task.
JMinor raised the priority of this task from Normal to Needs Triage.
JMinor removed JMinor as the assignee of this task.
JMinor triaged this task as Normal priority.
JMinor claimed this task.
LGoto updated the task description. (Show Details)Aug 8 2018, 7:04 PM
LGoto updated the task description. (Show Details)Aug 27 2018, 9:07 PM
LGoto updated the task description. (Show Details)Aug 27 2018, 9:15 PM
LGoto updated the task description. (Show Details)Aug 27 2018, 9:28 PM
LGoto updated the task description. (Show Details)Aug 27 2018, 9:41 PM
LGoto closed this task as Resolved.Sep 27 2018, 8:03 PM